Package org.apache.commons.beanutils2.locale.converters

# Class DecimalLocaleConverter.Builder<B extends DecimalLocaleConverter.Builder<B,T>,T extends Number>

java.lang.Object
org.apache.commons.beanutils2.locale.BaseLocaleConverter.Builder<B,T>
org.apache.commons.beanutils2.locale.converters.DecimalLocaleConverter.Builder<B,T>

Type Parameters:
  `B` - The builder type.
  `T` - The Number type.

Direct Known Subclasses:
  `BigDecimalLocaleConverter.Builder`, `BigIntegerLocaleConverter.Builder`, `ByteLocaleConverter.Builder`, `DoubleLocaleConverter.Builder`, `FloatLocaleConverter.Builder`, `IntegerLocaleConverter.Builder`, `LongLocaleConverter.Builder`, `ShortLocaleConverter.Builder`

Enclosing class:
  `DecimalLocaleConverter<T extends Number>`

public static class DecimalLocaleConverter.Builder<B extends DecimalLocaleConverter.Builder<B,T>,T extends Number> extends BaseLocaleConverter.Builder<B,T>
Builds instances of `DateLocaleConverter`.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.beanutils2.locale.BaseLocaleConverter.Builder

  `defaultValue, locale, localizedPattern, pattern, useDefault`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DecimalLocaleConverter<?>`
  `get()`
  Constructs a new instance.

  ### Methods inherited from class org.apache.commons.beanutils2.locale.BaseLocaleConverter.Builder

  `asThis, setDefault, setLocale, setLocalizedPattern, setPattern, setUseDefault`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public DecimalLocaleConverter<?> get()
    Constructs a new instance.

    By default, construct a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the conversion.

    Specified by:
      `get` in class `BaseLocaleConverter.Builder<B extends DecimalLocaleConverter.Builder<B,T>,T extends Number>`
    Returns:
      a new instance.